
Pre-Development - Feature #18609

Alert Messaging > Email Parameter Setting

24 October 2023 08:36 PM - David Wong

Status: Closed Start date: 24 October 2023

Priority: Normal Due date: 10 January 2024

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

GIT Repo: http://172.16.25.66/gitlab/mleb-solution-domain/smesd100/mleb-am.git

Microservice: bd_am

Reference UI:

Login into: https://dev.silverlakemobility.com/demo/cc_iam/loginModule/login.htm (sysuser/abc123)

And then go to Sub System > Alert Messaging > Email Parameter Settings

Special mention

- Password and Confirm Password data requires Base64 encode in the Request JSON

- Backend requires to store the password as it receive from the Request JSON, meaning don't do any deception or decode

Package name = com.silverlake.ifb.am.emailConfig

Bean prefix = emailConfig

Service prefix = emailConfig

DAO prefix = emailConfig

WS prefix = emailConfig

History

#1 - 24 October 2023 08:44 PM - David Wong

- Description updated

#2 - 26 October 2023 11:23 AM - David Wong

- Description updated

#3 - 26 October 2023 02:02 PM - David Wong

- Due date set to 06 November 2023

- Status changed from New to Assigned

- Assignee changed from David Wong to Nur Athirah

#4 - 27 October 2023 11:39 AM - Nur Athirah

- Status changed from Assigned to In Progress

- % Done changed from 0 to 10

Configure and setup machine based on specification needed

Clone db

Import project

#5 - 30 October 2023 06:08 PM - Nur Athirah

- % Done changed from 10 to 20
1. Run workspace environment

2. Test Insomnia

3. Create:

-repository.emailConfig

-service.dto.emailConfig

-service.EmailConfigService

4. Next to-do planning:

- Test [No3] : build deploy and run 3

- Update and change to any desire part to complete task

#6 - 31 October 2023 05:46 PM - Nur Athirah

- % Done changed from 20 to 30

5. From [4],

- 5.1 update dto and update entity(missing data and cross check spelling)

- 5.2 create logic and services CRUD logics

- 5.3 run to test the response

6. To do next :-

- 6.1 continue 5.3

- 6.2 R&D password encryption best solution - *springbase64 library

#7 - 01 November 2023 05:19 PM - Nur Athirah

- % Done changed from 30 to 40

7. From [6].,

- 7.1 continue 6.1 [run to test the response]

::7.1.1 update the web services

- 7.2 cross check code standard

- 7.3 Pending 6.2 [R&D password encryption best solution - *springbase64 library]

8. To do next :-

- 8.1 Continue 7.2 and 7.3

#8 - 02 November 2023 05:15 PM - Nur Athirah

- % Done changed from 40 to 50

9. From [8],

- 8.1 Work in progress

- Continue :: 7.2 cross check code standard

----update logics in web services 

- Continue :: 7.3 work in progress <&lt;6.2 [R&D password encryption best solution - *springbase64 library]&gt;>
        -----crosscheck and update dependency

        -----prepare logics and services

#9 - 14 November 2023 05:48 PM - Nur Athirah

From[No.9]

BE =====

Done corrected the queries and code standard checking.

Planned to push 15/11 morning and close to completed and technical checking with team.

FE/UI =====

- 10% work in progress

-- Checking the sharing session and implemented while go through the video.

#10 - 10 January 2024 03:02 PM - Nur Athirah

- File Redmine18609.png added

- Due date changed from 06 November 2023 to 10 January 2024

- Status changed from In Progress to Resolved

- Assignee changed from Nur Athirah to David Wong

- % Done changed from 50 to 100

Done pushed to git for Redmine18609

#11 - 15 February 2024 03:17 PM - chok yee fan

- Status changed from Resolved to Feedback

- Assignee changed from David Wong to Nityanantan Nityanantan

chok: correction on searchAction

add isDefault

use label status

https://dev.silverlakemobility.com/redmine/issues/18609

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/08114a32baf48cea0fc32b05873b572c6764e951

#12 - 04 March 2024 04:12 PM - Nityanantan Nityanantan

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

#13 - 04 March 2024 04:17 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

This is the old redmine that has been solve

#14 - 05 March 2024 10:00 AM - chok yee fan

- Status changed from Feedback to Closed

close using other redmine to track
Files

Redmine18609.png 26.1 KB 10 January 2024 Nur Athirah

Powered by TCPDF (www.tcpdf.org)

22 April 2025 4/4

http://www.tcpdf.org

